class ObrniVrstice
{
  // Rekurzivna metoda vrne obrnjen vhodni niz
  public static string ObrniNiz(string vhNiz){
    // Ustavitveni pogoj
    if (vhNiz.Length <= 1){
      return vhNiz;
    }
    // Iz vhodnega niza vzamemo prvi znak
    char prviZnak = vhNiz[0];
    // Iz vhodnega niza vzamemo drugi znak
    char zadnjiZnak = vhNiz[vhNiz.Length - 1];
    // Ostali niz brez prvega in zadnjega znaka
    string ostaliNiz = vhNiz.Substring(1, vhNiz.Length - 2);
    // Zamenjamo prvi in zadnji znak
    return "" + zadnjiZnak + ObrniNiz(ostaliNiz) + prviZnak;
  }

  public static void Main(string[] args)
  {
    // Izpišemo sporočilo uporabniku
    Console.Write("Vnesite ime datoteke : ");

    // Preberemo ime datoteke od uporabnika
    String imeDat = Console.ReadLine();

    // Dokler ni vnešeno pravo ime datoteke (datoteka obstaja) ne obdelujemo
    while (!File.Exists(imeDat)){
      Console.Write("Vnesite ime datoteke : ");
      imeDat = Console.ReadLine();
    }

    // Odpremo podatkovni tok
    StreamReader datBeri = File.OpenText(imeDat);

    string vrstica;
    // Preberemo datoteko, obračamo vrstice in izpisujemo na zaslon
    while ((vrstica = datBeri.ReadLine()) != null){
      vrstica = ObrniNiz(vrstica);
      Console.WriteLine(vrstica);
    }

    // Zapremo podatkovni tok
    datBeri.Close();

    // Na koncu počakamo na vnos, da lahko preberemo rezultate
    Console.Write("Pritisni tipko za nadaljevanje . . . ");
    Console.ReadKey(true);
  }
}